proc import OUT=a
   datafile='C:\Users\egustafson\Documents\Studies\Oconto climate change\First principles-II\MIROC-ESM climate projection data.xlsx'
   dbms=xlsx; Sheet='Processed_2.6'; *replace; 
run;

data annual;
  set a; by year month;
  if first.year then do;
    TotAnnual=0;
	TotGS=0;
	MaxGS=0;
  end;
  TotAnnual=TotAnnual+VAR6;
  TotGS=TotGS+GS_Prec;
  MaxGS=max(GS_Prec,MaxGS);
  if last.year then output;
  retain TotAnnual TotGS MaxGS;
  keep year TotAnnual TotGS MaxGS;
run;

proc univariate data=annual normal plots ;  run;

data droughts;
  set annual;
  if TotAnnual>823.585 OR TotGS>405.191 OR MaxGS>127.9560 then delete; * TotAnnual=median, others=Q25;
run;
