/*PROC IMPORT OUT= Base
             DATAFILE='C:\Users\egustafson\Documents\Studies\Chestnut\GreenRidge\BASELINE\Biomass_Base.txt'
             DBMS=TAB replace;  run;*/
PROC IMPORT OUT= RCP26_3
             DATAFILE='C:\Users\egustafson\Documents\Studies\Oconto climate change\First principles-II\Landscape experiment\2.6_3yr\Biomass_.txt'
             DBMS=TAB replace;  run;
PROC IMPORT OUT= RCP26_5
             DATAFILE='C:\Users\egustafson\Documents\Studies\Oconto climate change\First principles-II\Landscape experiment\2.6_5yr\Biomass_.txt'
             DBMS=TAB replace;  run;
PROC IMPORT OUT= RCP85_3
             DATAFILE='C:\Users\egustafson\Documents\Studies\Oconto climate change\First principles-II\Landscape experiment\8.5_3yr\Biomass_.txt'
             DBMS=TAB replace;  run;
PROC IMPORT OUT= RCP85_5
             DATAFILE='C:\Users\egustafson\Documents\Studies\Oconto climate change\First principles-II\Landscape experiment\8.5_5yr\Biomass_.txt'
             DBMS=TAB replace;  run;

data RCP26_3A; 
	set RCP26_3;
	RCP='2.6'; 
	Drt='3'; 
	H4_140=betupapyg_m2+fraxnigrg_m2+popubalsg_m2+popugrang_m2+poputremg_m2;
	H4_145=abiebalsg_m2+acersaccg_m2+betualleg_m2+carycordg_m2+tsugcanag_m2;
	H4_152=acerrubrg_m2+fagugrang_m2+fraxamerg_m2+fraxpenng_m2+piceglaug_m2+picemarig_m2+pinustrog_m2+prunserog_m2+querrubrg_m2+thujoccig_m2+tiliamerg_m2+quervelug_m2;
	H4_160=pinubankg_m2+pinuresig_m2+queralbag_m2+querellig_m2+quermacrg_m2;
	TOpt_19_20=abiebalsg_m2+popubalsg_m2+picemarig_m2+pinubankg_m2+thujoccig_m2;
	TOpt_21_22=betualleg_m2+betupapyg_m2+piceglaug_m2+pinuresig_m2+pinustrog_m2+popugrang_m2+poputremg_m2+querellig_m2+tsugcanag_m2;
	TOpt_23_24=acersaccg_m2+fagugrang_m2+fraxnigrg_m2+quermacrg_m2+querrubrg_m2+tiliamerg_m2+quervelug_m2;
	TOpt_25_26=acerrubrg_m2+carycordg_m2+fraxamerg_m2+fraxpenng_m2+prunserog_m2+queralbag_m2;
	AspBirch=betupapyg_m2+popubalsg_m2+popugrang_m2+poputremg_m2;
	PineOakHmlock=pinustrog_m2+pinuresig_m2+querrubrg_m2+tsugcanag_m2;
	MixedOak=queralbag_m2+querellig_m2+quermacrg_m2+quervelug_m2;
	SpruceFir=piceglaug_m2+abiebalsg_m2;
	MxdSwampConif=picemarig_m2+thujoccig_m2;
	SmapBchBassYbirch=acersaccg_m2+betualleg_m2+fagugrang_m2+tiliamerg_m2;
	RedMaple=acerrubrg_m2;
	CherryAsh=prunserog_m2+fraxpenng_m2+fraxamerg_m2;
	TotBM=H4_140+H4_145+H4_152+H4_160;
*	AspBirch=betupapyg_m2+popubalsg_m2+popugrang_m2+poputremg_m2;
*	NhardWd=acersaccg_m2+betualleg_m2+fagugrang_m2+tsugcanag_m2+acerrubrg_m2+tiliamerg_m2+fraxamerg_m2;
*	PineOaks=pinubankg_m2+pinuresig_m2+pinustrog_m2+queralbag_m2+querellig_m2+quermacrg_m2+quervelug_m2+querrubrg_m2;
*	Misc= abiebalsg_m2+fraxnigrg_m2+carycordg_m2+prunserog_m2+fraxpenng_m2+piceglaug_m2+picemarig_m2+thujoccig_m2;
run;

data RCP26_5A; 
	set RCP26_5; 
	RCP='2.6'; 
	Drt='5'; 
	H4_140=betupapyg_m2+fraxnigrg_m2+popubalsg_m2+popugrang_m2+poputremg_m2;
	H4_145=abiebalsg_m2+acersaccg_m2+betualleg_m2+carycordg_m2+tsugcanag_m2;
	H4_152=acerrubrg_m2+fagugrang_m2+fraxamerg_m2+fraxpenng_m2+piceglaug_m2+picemarig_m2+pinustrog_m2+prunserog_m2+querrubrg_m2+thujoccig_m2+tiliamerg_m2+quervelug_m2;
	H4_160=pinubankg_m2+pinuresig_m2+queralbag_m2+querellig_m2+quermacrg_m2;
	TOpt_19_20=abiebalsg_m2+popubalsg_m2+picemarig_m2+pinubankg_m2+thujoccig_m2;
	TOpt_21_22=betualleg_m2+betupapyg_m2+piceglaug_m2+pinuresig_m2+pinustrog_m2+popugrang_m2+poputremg_m2+querellig_m2+tsugcanag_m2;
	TOpt_23_24=acersaccg_m2+fagugrang_m2+fraxnigrg_m2+quermacrg_m2+querrubrg_m2+tiliamerg_m2+quervelug_m2;
	TOpt_25_26=acerrubrg_m2+carycordg_m2+fraxamerg_m2+fraxpenng_m2+prunserog_m2+queralbag_m2;
	AspBirch=betupapyg_m2+popubalsg_m2+popugrang_m2+poputremg_m2;
	PineOakHmlock=pinustrog_m2+pinuresig_m2+querrubrg_m2+tsugcanag_m2;
	MixedOak=queralbag_m2+querellig_m2+quermacrg_m2+quervelug_m2;
	SpruceFir=piceglaug_m2+abiebalsg_m2;
	MxdSwampConif=picemarig_m2+thujoccig_m2;
	SmapBchBassYbirch=acersaccg_m2+betualleg_m2+fagugrang_m2+tiliamerg_m2;
	RedMaple=acerrubrg_m2;
	CherryAsh=prunserog_m2+fraxpenng_m2+fraxamerg_m2;
	TotBM=H4_140+H4_145+H4_152+H4_160;
run;

data RCP85_3A; 
	set RCP85_3; 
	RCP='8.5'; 
	Drt='3'; 
	H4_140=betupapyg_m2+fraxnigrg_m2+popubalsg_m2+popugrang_m2+poputremg_m2;
	H4_145=abiebalsg_m2+acersaccg_m2+betualleg_m2+carycordg_m2+tsugcanag_m2;
	H4_152=acerrubrg_m2+fagugrang_m2+fraxamerg_m2+fraxpenng_m2+piceglaug_m2+picemarig_m2+pinustrog_m2+prunserog_m2+querrubrg_m2+thujoccig_m2+tiliamerg_m2+quervelug_m2;
	H4_160=pinubankg_m2+pinuresig_m2+queralbag_m2+querellig_m2+quermacrg_m2;
	TOpt_19_20=abiebalsg_m2+popubalsg_m2+picemarig_m2+pinubankg_m2+thujoccig_m2;
	TOpt_21_22=betualleg_m2+betupapyg_m2+piceglaug_m2+pinuresig_m2+pinustrog_m2+popugrang_m2+poputremg_m2+querellig_m2+tsugcanag_m2;
	TOpt_23_24=acersaccg_m2+fagugrang_m2+fraxnigrg_m2+quermacrg_m2+querrubrg_m2+tiliamerg_m2+quervelug_m2;
	TOpt_25_26=acerrubrg_m2+carycordg_m2+fraxamerg_m2+fraxpenng_m2+prunserog_m2+queralbag_m2;
	AspBirch=betupapyg_m2+popubalsg_m2+popugrang_m2+poputremg_m2;
	PineOakHmlock=pinustrog_m2+pinuresig_m2+querrubrg_m2+tsugcanag_m2;
	MixedOak=queralbag_m2+querellig_m2+quermacrg_m2+quervelug_m2;
	SpruceFir=piceglaug_m2+abiebalsg_m2;
	MxdSwampConif=picemarig_m2+thujoccig_m2;
	SmapBchBassYbirch=acersaccg_m2+betualleg_m2+fagugrang_m2+tiliamerg_m2;
	RedMaple=acerrubrg_m2;
	CherryAsh=prunserog_m2+fraxpenng_m2+fraxamerg_m2;
	TotBM=H4_140+H4_145+H4_152+H4_160;
run;

data RCP85_5A; 
	set RCP85_5; 
	RCP='8.5'; 
	Drt='5'; 
	H4_140=betupapyg_m2+fraxnigrg_m2+popubalsg_m2+popugrang_m2+poputremg_m2;
	H4_145=abiebalsg_m2+acersaccg_m2+betualleg_m2+carycordg_m2+tsugcanag_m2;
	H4_152=acerrubrg_m2+fagugrang_m2+fraxamerg_m2+fraxpenng_m2+piceglaug_m2+picemarig_m2+pinustrog_m2+prunserog_m2+querrubrg_m2+thujoccig_m2+tiliamerg_m2+quervelug_m2;
	H4_160=pinubankg_m2+pinuresig_m2+queralbag_m2+querellig_m2+quermacrg_m2;
	TOpt_19_20=abiebalsg_m2+popubalsg_m2+picemarig_m2+pinubankg_m2+thujoccig_m2;
	TOpt_21_22=betualleg_m2+betupapyg_m2+piceglaug_m2+pinuresig_m2+pinustrog_m2+popugrang_m2+poputremg_m2+querellig_m2+tsugcanag_m2;
	TOpt_23_24=acersaccg_m2+fagugrang_m2+fraxnigrg_m2+quermacrg_m2+querrubrg_m2+tiliamerg_m2+quervelug_m2;
	TOpt_25_26=acerrubrg_m2+carycordg_m2+fraxamerg_m2+fraxpenng_m2+prunserog_m2+queralbag_m2;
	AspBirch=betupapyg_m2+popubalsg_m2+popugrang_m2+poputremg_m2;
	PineOakHmlock=pinustrog_m2+pinuresig_m2+querrubrg_m2+tsugcanag_m2;
	MixedOak=queralbag_m2+querellig_m2+quermacrg_m2+quervelug_m2;
	SpruceFir=piceglaug_m2+abiebalsg_m2;
	MxdSwampConif=picemarig_m2+thujoccig_m2;
	SmapBchBassYbirch=acersaccg_m2+betualleg_m2+fagugrang_m2+tiliamerg_m2;
	RedMaple=acerrubrg_m2;
	CherryAsh=prunserog_m2+fraxpenng_m2+fraxamerg_m2;
	TotBM=H4_140+H4_145+H4_152+H4_160;
run;

data combo;
  set RCP26_3A RCP26_5A RCP85_3A RCP85_5A ;
run;
  
proc sort data=combo;
  by RCP drt time;
run;

*data for biomass trend by species group figure;
proc means data=combo noprint;
  by RCP drt time;
  var H4_140 H4_145 H4_152 H4_160 TOpt_19_20 TOpt_21_22 TOpt_23_24 TOpt_25_26 AspBirch PineOakHmlock MixedOak SpruceFir MxdSwampConif SmapBchBassYbirch RedMaple CherryAsh TotBM;
  output out=graph mean=mH4_140 mH4_145 mH4_152 mH4_160 mTOpt_19_20 mTOpt_21_22 mTOpt_23_24 mTOpt_25_26 mAspBirch mPineOakHmlock mMixedOak mSpruceFir mMxdSwampConif mSmapBchBassYbirch mRedMaple mCherryAsh mTotBM
		std=sH4_140 sH4_145 sH4_152 sH4_160 sTOpt_19_20 sTOpt_21_22 sTOpt_23_24 sTOpt_25_26 sAspBirch sPineOakHmlock sMixedOak sSpruceFir sMxdSwampConif sSmapBchBassYbirch sRedMaple sCherryAsh sTotBM;
run;

PROC EXPORT data=graph
            outfile='C:\Users\egustafson\Documents\Studies\Oconto climate change\First principles-II\Landscape experiment\Biomass by life history group trend graph data.csv'
            DBMS=CSV replace;  run;
